[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| StridedMultiIteratorBase Class Template Reference |
--- | --- | ---

Encloses the base class for vigra::StridedMultiIterator. More...

`#include "vigra/multi_iterator.hxx"`

## Detailed Description

### template<unsigned int N>
class vigra::StridedMultiIteratorBase< N >

Encloses the base class for vigra::StridedMultiIterator.

This design is necessary for compilers that do not support partial specialization (otherwise, StridedMultiIterator could be specialized directly).

#include "vigra/multi_iterator.hxx"

Namespace: vigra

The documentation for this class was generated from the following file:

- vigra/multi_iterator.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.4.0 (21 Dec 2005)